/**
 * Created by mgoria on 11/09/15.
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.GetCognitoRecordException = undefined;

var _Exception = require('./Exception');

/**
 * Thrown when getting a record from a CognitoSync dataset failed
 */
class GetCognitoRecordException extends _Exception.Exception {
  /**
   * @param {String} dataset
   * @param {String} record
   * @param {Object} error
   */
  constructor(dataset, record, error) {
    super(`Error on getting "${record}" record from "${dataset}" dataset. ${error}`);
  }
}
exports.GetCognitoRecordException = GetCognitoRecordException;