/**
 * Created by CCristi on 4/4/17.
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AbstractImplementation = undefined;

var _deepCore = require('deep-core');

var _deepCore2 = _interopRequireDefault(_deepCore);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class AbstractImplementation extends _deepCore2.default.OOP.Interface {
  /**
   * @param {IdentityProvider} identityProvider
   */
  constructor(identityProvider) {
    super(['refreshIdentity']); // @todo: add other methods such as `normalizeMetadata`

    this._identityProvider = identityProvider;
  }

  /**
   * @returns {String}
   */
  get refreshToken() {
    return this._identityProvider.refreshToken;
  }

  /**
   * @returns {String}
   */
  get clientName() {
    return this._identityProvider.clientName;
  }

  /**
   * @returns {IdentityProvider|*}
   */
  get identityProvider() {
    return this._identityProvider;
  }
}
exports.AbstractImplementation = AbstractImplementation;